Package com.google.gwt.user.client.ui

## Class DialogBox.CaptionImpl

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.google.gwt.user.client.ui.LabelBase<java.lang.String>
      - - com.google.gwt.user.client.ui.Label
        - - com.google.gwt.user.client.ui.HTML
          - - com.google.gwt.user.client.ui.DialogBox.CaptionImpl

- All Implemented Interfaces:
    `IsEditor<LeafValueEditor<java.lang.String>>`, `HasAllDragAndDropHandlers`, `HasAllGestureHandlers`, `HasAllMouseHandlers`, `HasAllTouchHandlers`, `HasClickHandlers`, `HasDoubleClickHandlers`, `HasDragEndHandlers`, `HasDragEnterHandlers`, `HasDragHandlers`, `HasDragLeaveHandlers`, `HasDragOverHandlers`, `HasDragStartHandlers`, `HasDropHandlers`, `HasGestureChangeHandlers`, `HasGestureEndHandlers`, `HasGestureStartHandlers`, `HasMouseDownHandlers`, `HasMouseMoveHandlers`, `HasMouseOutHandlers`, `HasMouseOverHandlers`, `HasMouseUpHandlers`, `HasMouseWheelHandlers`, `HasTouchCancelHandlers`, `HasTouchEndHandlers`, `HasTouchMoveHandlers`, `HasTouchStartHandlers`, `HasAttachHandlers`, `HasHandlers`, `HasDirection`, `HasDirectionEstimator`, `HasSafeHtml`, `EventListener`, `DialogBox.Caption`, `HasAutoHorizontalAlignment`, `HasDirectionalHtml`, `HasDirectionalSafeHtml`, `HasDirectionalText`, `HasHorizontalAlignment`, `HasHTML`, `HasText`, `HasVisibility`, `HasWordWrap`, `IsWidget`, `SourcesClickEvents`, `SourcesMouseEvents`
  Enclosing class:
    DialogBox

      public static class DialogBox.CaptionImpl
      extends HTML
      implements DialogBox.Caption

  Default implementation of Caption. This will be created as the header if there isn't a header specified.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

      `UIObject.DebugIdImpl, UIObject.DebugIdImplEnabled`

    - ### Nested classes/interfaces inherited from interface com.google.gwt.i18n.client.HasDirection

      `HasDirection.Direction`

    - ### Nested classes/interfaces inherited from interface com.google.gwt.user.client.ui.HasHorizontalAlignment

      `HasHorizontalAlignment.AutoHorizontalAlignmentConstant, HasHorizontalAlignment.HorizontalAlignmentConstant`

  - ### Field Summary

    - ### Fields inherited from class com.google.gwt.user.client.ui.Label

      `DEFAULT_DIRECTION_ESTIMATOR`

    - ### Fields inherited from class com.google.gwt.user.client.ui.LabelBase

      `directionalTextHelper`

    - ### Fields inherited from class com.google.gwt.user.client.ui.Widget

      `eventsToSink`

    - ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

      `DEBUG_ID_PREFIX, MISSING_ELEMENT_ERROR, SETELEMENT_TWICE_ERROR`

    - ### Fields inherited from interface com.google.gwt.user.client.ui.HasAutoHorizontalAlignment

      `ALIGN_CONTENT_END, ALIGN_CONTENT_START`

    - ### Fields inherited from interface com.google.gwt.user.client.ui.HasHorizontalAlignment

      `ALIGN_CENTER, ALIGN_DEFAULT, ALIGN_JUSTIFY, ALIGN_LEFT, ALIGN_LOCALE_END, ALIGN_LOCALE_START, ALIGN_RIGHT`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CaptionImpl()` |

  - ### Method Summary

    - ### Methods inherited from class com.google.gwt.user.client.ui.HTML

      `getHTML, getTextOrHtml, setHTML, setHTML, setHTML, setHTML, wrap`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Label

      `addClickHandler, addClickListener, addDoubleClickHandler, addDragEndHandler, addDragEnterHandler, addDragHandler, addDragLeaveHandler, addDragOverHandler, addDragStartHandler, addDropHandler, addGestureChangeHandler, addGestureEndHandler, addGestureStartHandler, addMouseDownHandler, addMouseListener, addMouseMoveHandler, addMouseOutHandler, addMouseOverHandler, addMouseUpHandler, addMouseWheelHandler, addMouseWheelListener, addTouchCancelHandler, addTouchEndHandler, addTouchMoveHandler, addTouchStartHandler, asEditor, getDirection, getText, getTextDirection, removeClickListener, removeMouseListener, removeMouseWheelListener, setDirection, setText, setText`

    - ### Methods inherited from class com.google.gwt.user.client.ui.LabelBase

      `getAutoHorizontalAlignment, getDirectionEstimator, getHorizontalAlignment, getWordWrap, setAutoHorizontalAlignment, setDirectionEstimator, setDirectionEstimator, setHorizontalAlignment, setWordWrap, updateHorizontalAlignment`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Widget

      `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, ensureHandlers, fireEvent, getHandlerCount, getHandlerManager, getLayoutData, getParent, isAttached, isOrWasAttached, onAttach, onBrowserEvent, onDetach, onLoad, onUnload, removeFromParent, replaceElement, setLayoutData, setParent, sinkEvents, unsinkEvents`

    - ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

      `addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, resolvePotentialElement, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkBitlessEvent, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.gwt.user.client.ui.HasDirectionalText

      `getTextDirection, setText`

    - ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

      `fireEvent`

    - ### Methods inherited from interface com.google.gwt.user.client.ui.HasHTML

      `getHTML, setHTML`

    - ### Methods inherited from interface com.google.gwt.event.dom.client.HasMouseDownHandlers

      `addMouseDownHandler`

    - ### Methods inherited from interface com.google.gwt.event.dom.client.HasMouseMoveHandlers

      `addMouseMoveHandler`

    - ### Methods inherited from interface com.google.gwt.event.dom.client.HasMouseOutHandlers

      `addMouseOutHandler`

    - ### Methods inherited from interface com.google.gwt.event.dom.client.HasMouseOverHandlers

      `addMouseOverHandler`

    - ### Methods inherited from interface com.google.gwt.event.dom.client.HasMouseUpHandlers

      `addMouseUpHandler`

    - ### Methods inherited from interface com.google.gwt.event.dom.client.HasMouseWheelHandlers

      `addMouseWheelHandler`

    - ### Methods inherited from interface com.google.gwt.safehtml.client.HasSafeHtml

      `setHTML`

    - ### Methods inherited from interface com.google.gwt.user.client.ui.HasText

      `getText, setText`

    - ### Methods inherited from interface com.google.gwt.user.client.ui.IsWidget

      `asWidget`

- - ### Constructor Detail

    - #### CaptionImpl

          public CaptionImpl()